Bug 1534442 - ComputeExtraConfig is not applied. Is really NovaComputeExtraConfig deprecated ?
Summary: ComputeExtraConfig is not applied. Is really NovaComputeExtraConfig deprecated ?
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: z3
: 12.0 (Pike)
Assignee: Emilien Macchi
QA Contact: Gurenko Alex
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-15 09:32 UTC by Eduard Barrera
Modified: 2018-08-20 12:59 UTC (History)
12 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-08-20 12:58:39 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 12:59 UTC
OpenStack gerrit 570191 None None None 2018-05-23 13:21 UTC

Description Eduard Barrera 2018-01-15 09:32:18 UTC
Description of problem:

Before upgrading we went thru the upgrade documentation[1]. There it says that NovaComputeExtraConfig is deprecated in favor of ComputeExtraConfig. There is another place in the decumentation[2] says that we should use NovaComputeExtraConfig

After upgrading to OSP12 a configuration change was performed with ComputeExtraConfig but configuration was not applied. we changed to NovaComputeExtraConfig and it did work as expected. This is the example template we applied and did not work:


parameter_defaults:
  CloudName: 10.0.0.0


  TimeZone: 'Europe/Zurich'

  ControllerExtraConfig:
    TimeZone: 'Europe/Zurich'
     

  ComputeExtraConfig:
    nova::compute::resize_confirm_window: 1
    nova::compute::libvirt::libvirt_cpu_mode: 'custom'
    nova::compute::libvirt::libvirt_cpu_model: 'IvyBridge'
    tripleo::firewall::firewall_rules:
      '950 NRPE':
        dport:
          - 5666



[1] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html/upgrading_red_hat_openstack_platform/assembly-preparing_for_overcloud_upgrade#preparing_for_deprecated_parameters

[2] https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/12/html/advanced_overcloud_customization/chap-configuration_hooks#sect-Customizing_Puppet_Configuration_Data
Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Apply the specified template after upgrading to 12
2.
3.

Actual results:
ComputeExtraConfig not applied

Expected results:
ComputeExtraConfig applied, documentation[1] says that it substitutes NovaComputeExtraConfig

Additional info:

Comment 1 Eduard Barrera 2018-01-16 08:18:21 UTC
It also warn us here:


Uploading new plan files
Started Mistral Workflow tripleo.plan_management.v1.update_deployment_plan. Execution ID: 27d79801-82cd-460a-a59e-b0cb3c466660
Plan updated.
Processing templates in the directory /tmp/tripleoclient-eROesx/tripleo-heat-templates
Started Mistral Workflow tripleo.plan_management.v1.get_deprecated_parameters. Execution ID: d7df78da-388c-403b-bbde-e2269a807a9f

---
WARNING: Following parameters are deprecated and still defined. Deprecated parameters will be removed soon!
  NovaComputeExtraConfig
----

Deploying templates in the directory /tmp/tripleoclient-eROesx/tripleo-heat-templates
Started Mistral Workflow tripleo.deployment.v1.deploy_plan. Execution ID: 0dfc4774-d22a-4d8e-98e3-2548d27e6ee0
2018-01-15 09:55:45Z [ServiceNetMap]: UPDATE_IN_PROGRESS  state changed
2018-01-15 09:55:46Z [Networks]: UPDATE_IN_PROGRESS  state changed


there is a small mistake in the example template with the timezone

Comment 2 Dan Macpherson 2018-02-02 05:10:32 UTC
Not sure what's happening here. The new param should definitely be ComputeExtraConfig (and the NovaComputeExtraConfig param in the second link is deprecated).

NEEDINFO'ing Emilien - Have you had any reports yet of the ComputeExtraConfig hieradata hook not working?

Comment 3 Emilien Macchi 2018-02-05 18:30:01 UTC
As you can see here:
https://git.openstack.org/cgit/openstack/tripleo-heat-templates/tree/puppet/role.role.j2.yaml#n543

NovaComputeExtraConfig and ComputeExtraConfig are supposed to be merged.

One thing, Eduard can you please confirm that your compute role is named "Compute"?

Note that ControllerExtraConfig is tested in CI so I see no reason why ComputeExtraConfig wouldn't work.
Please provide your templates etc, so we can try to reproduce.

Comment 14 Dan Macpherson 2018-05-23 06:37:19 UTC
Emilien,

Do you know what the status of this is? It looks like its been patched as per comment #11, but just want to check to make sure.

Comment 15 Emilien Macchi 2018-05-23 13:21:08 UTC
Backport in progress

Comment 20 Artem Hrechanychenko 2018-07-05 09:14:19 UTC
VERIFIED

openstack-tripleo-heat-templates-7.0.12-1.el7ost.noarch

[heat-admin@compute-0 ~]$ sudo cat /var/lib/config-data/nova_libvirt/etc/nova/nova.conf |grep "keymap=ja" -A2 -B2
# Deprecated group;name - DEFAULT;vnc_keymap
#keymap=en-us
keymap=ja

(undercloud) [stack@undercloud-0 ~]$ cat overcloud_deploy.sh 
#!/bin/bash

openstack overcloud deploy \
--timeout 100 \
--templates /usr/share/openstack-tripleo-heat-templates \
--stack overcloud \
--libvirt-type kvm \
--ntp-server clock.redhat.com \
-e /home/stack/virt/internal.yaml \
-e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
-e /home/stack/virt/network/network-environment.yaml \
-e /home/stack/virt/inject-trust-anchor.yaml \
-e /home/stack/virt/hostnames.yml \
-e /usr/share/openstack-tripleo-heat-templates/environments/ceph-ansible/ceph-ansible.yaml \
-e /home/stack/virt/debug.yaml \
-e /home/stack/virt/nodes_data.yaml \
-e /home/stack/virt/docker-images.yaml \
-e /home/stack/extra.yaml \
--log-file overcloud_deployment_9.log


(undercloud) [stack@undercloud-0 ~]$ cat extra.yaml 
parameter_defaults:
  ComputeExtraConfig:
    nova::compute::vnc_keymap: ja

Comment 23 errata-xmlrpc 2018-08-20 12:58:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.